#include "ascii2ansi.h"

namespace hqg
{
   //-----------------------------------------------------------
   // Standard-Constructor (verboten)
   //-----------------------------------------------------------
   ascii2ansi::ascii2ansi()
   {
   }

   //-----------------------------------------------------------
   // Standard-Destructor - keine Aktivitt notwendig
   //-----------------------------------------------------------
   ascii2ansi::~ascii2ansi()
   {
   }

   //-----------------------------------------------------------
   // Constructor mit "neuem" C-String
   //-----------------------------------------------------------
   ascii2ansi::ascii2ansi (const std::string toconvert)
   {
      temp = toconvert;
      convert (temp);
   }

   //-----------------------------------------------------------
   // Constructor mit "altem" C-String
   //-----------------------------------------------------------
   ascii2ansi::ascii2ansi (const char toconvert[])
   {
      temp = toconvert;
      convert (temp);
   }

   //-----------------------------------------------------------
   // Konvertierung deutscher Sonderzeichen
   //-----------------------------------------------------------
   void ascii2ansi::convert (std::string &s)
   {
      for (unsigned int i=0; i<s.size(); i++)
      {
         switch (temp[i])
         {
            case '': s[i] = char(132); break;
            case '': s[i] = char(142); break;
            case '': s[i] = char(148); break;
            case '': s[i] = char(153); break;
            case '': s[i] = char(129); break;
            case '': s[i] = char(154); break;
            case '': s[i] = char(225); break;
         }
      }
   }

   //-----------------------------------------------------------
   // Ausgabe des konvertierten Strings
   //-----------------------------------------------------------
   std::ostream& operator<< (std::ostream& o, const ascii2ansi& a2a)
   {
      return o << a2a.temp.c_str();
   }
} // End of Namespace
