#include <stdio.h>
#include <string.h>
#include <ctype.h>

//=============================================================================
// Umwandlung eines Kleinbuchstaben in einen Grossbuchstaben
//=============================================================================
int toupper_de (int pChar)
{
  switch (pChar)
  {
    case '': return ('');
    case '': return ('');
    case '': return ('');
    case '': return ('');
    default : return (toupper(pChar));
  }
}

//=============================================================================
// Umwandlung eines Grossbuchstaben in einen Kleinbuchstaben
//=============================================================================
int tolower_de (int pChar)
{
  switch (pChar)
  {
    case '': return ('');
    case '': return ('');
    case '': return ('');
    case '': return ('');
    default : return (tolower(pChar));
  }
}

//=============================================================================
// Umwandlung einer Zeichenkette in Grossbuchstaben
//=============================================================================
char *strupr_de (char *pString)
{
  char *cp = pString;
  while (*cp)
  {
    *cp = toupper_de (*cp);
    cp++;
  }
  return pString;
}

//=============================================================================
// Umwandlung einer Zeichenkette in Kleinbuchstaben
//=============================================================================
char *strlwr_de (char *pString)
{
  char *cp = pString;
  while (*cp)
  {
    *cp = tolower_de (*cp);
    cp++;
  }
  return pString;
}

//=============================================================================
// Bewertung einer Zeichenkette
//=============================================================================
int isalpha_de (int pChar)
{
  return ((isalpha(pChar)) || (strchr("", pChar))) ? 1 : 0;
}

//=============================================================================
// Bewertung einer Zeichenkette
//=============================================================================
int isalnum_de (int pChar)
{
  return ((isalnum(pChar)) || (strchr("", pChar))) ? 1 : 0;
}

//=============================================================================
// Bewertung einer Zeichenkette
//=============================================================================
int islower_de (int pChar)
{
  return ((islower(pChar)) || (strchr("", pChar))) ? 1 : 0;
}

//=============================================================================
// Bewertung einer Zeichenkette
//=============================================================================
int isupper_de (int pChar)
{
  return ((isupper(pChar)) || (strchr("", pChar))) ? 1 : 0;
}

